Subject: Re: New PIM version 2 dense mode specification

From: [email-masked] (Billy Ng)
Date: Sat, 13 Mar 1999 15:46:37 -0500

> From [email-masked] Fri Mar 12 18:07:31 1999
> 
> Liming,
> 
> Thanks a lot for your comments...
> 
> >  1) The action of triggering join/prunes is over-specified since
> >     the triggering already happens due of the "unicast" RPF change;
> 
> Agree... but in case a downstream router does not have parallel
> paths to the source, the "unicast" RPF change would not happen...
> 

That's the case.

> >  2) Using the wall clock seconds as GenID is no good; A router can easily
> >     get to that instruction within the same "second" each time it reboots.
> >     This is why we didn't put down an example of what a "usual" random
> >     number is in the latest PIM dense mode spec;
> 
> Sorry, my intention was to use the mini-seond portion of the wall clock.
> Agree, we don't have to specify any particular algorithm to generate 
> the random number...
> 

Agree.

> >  3) You probably want to resubmit it under the PIM working group (i.e. if
> >     you want PIM working group members to find it easily).
> 
> Okay, we'll do it that way for next version ;-)
> 
> >     We'll add a reference in the PIM sparse mode draft to your draft.
> 
> Thanks...

We could add some paragraphs on the usefulness of the GenID for PIM-DM in
the next revision.

> 
> >     Also let Tom/me know if you want to do a presentation at Minneapolis
> >     on this subject.
> 
> I am not able to attend this coming IETF because my baby will be coming
> out in next few days ;-).  Billy, can you make it, please?
> 

I cannot make it either because of the deadline I need to meet.  However,
since this is a very simple draft, I would just encourage bringing up any 
more issues on the pim mailing list.

--Billy